[CentOS] compiling Zaptel-1.2.4 on CentOS 4.3

Ben Gore ben at cleocat.com
Mon May 1 19:23:44 UTC 2006


A few days ago Mark Quitoriano posted:

>Im having a problem compiling zaptel 1.2.4 on CentOS 4.3, anyone
>encountered this problem before?

>Here's the error i got:

>make -C /lib/modules/2.6.9-34.EL/build SUBDIRS=/usr/src/zaptel-1.2.4
>XPPMOD=>modules
.
.
.
.
>/usr/src/zaptel-1.2.4/zaptel.c:188: warning: 'fcstab' defined but not used
>make[2]: *** [/usr/src/zaptel-1.2.4/zaptel.o] Error 1
>make[1]: *** [_module_/usr/src/zaptel-1.2.4] Error 2
>make[1]: Leaving directory `/usr/src/kernels/2.6.9-34.EL-i686'
>make: *** [linux26] Error 2

I've run into this problem also and found out apparently this is a kernel
bug affecting certain Red Hat and CentOS distributions.

Details at https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=180568

Asterisk discussion at http://bugs.digium.com/view.php?id=6425









More information about the CentOS mailing list